if status is-interactive
    # ─< Commands to run in interactive sessions can go here >──────────────
end

# ╭───────────────────────────────────────────────────╮
# │ FISH CONFIG BY PIKA                               │
# │                                                   │
# │ If you have any questions, check the git page at: │
# │ https://git.k4li.de/dotfiles/fish.git             │
# ╰───────────────────────────────────────────────────╯

# ────────────────────────────────────────< sources >──────────────────────────────────────
if test -d $HOME/.config/fish/init/
    source $HOME/.config/fish/init/setup.fish
    # ────────────────────────────────────< setup some stuff >────────────────────────────────────
    upin
    # dep_fisher
    # check_fishr
else
    notify-send "no fish config.."
end
if test -e $HOME/.config/fish/aliases.fish
    source $HOME/.config/fish/aliases.fish
end
# ─────────────────────────────────< Environment-Variables >───────────────────────────────
set -p EDITOR (which nvim)

# ────────────────────────────────────────< functions >─────────────────────────────────────
# ─< z stands for Zoxide >──────────────────────────────────────────────────────────────────
if command -v zoxide >/dev/null 2>&1
    zoxide init fish | source
end

# ─< oh-my-posh >───────────────────────────────────────────────────────────────────────────
if command -v oh-my-posh >/dev/null 2>&1
    # ─< tokyo-storm config >───────────────────────────────────────────────────────────────────
    oh-my-posh init fish --config ~/.config/fish/themes/tokyo_storm.toml | source
    # ─< zen config >───────────────────────────────────────────────────────────────────────────
    # oh-my-posh init fish --config ~/.config/fish/themes/zen.toml | source
end

# ─< set colorscheme for bobthefish >───────────────────────────────────────────────────────
if test -d $HOME/.config/fish/functions/
    set -g theme_nerd_fonts yes
    set -g defaults_user (echo $USER)
    # available options: dark, light, solarized(-dark/-light), base16(-dark/-light), zenburn, gruvbox(-light), dracula, nord, catppuccin-(latte/frappe/macchiato/mocha)
    set -g theme_color_scheme catppuccin-mocha
end
